POST api/WeChatSL/PayProfitSharingRemoveReceiver

Request Information

URI Parameters

None.

Body Parameters

Req_Pay_ProfitSharingAdd_Or_RemoveReceiver_Model
NameDescriptionTypeAdditional information
sub_mch_id

string

Required

receiver

Req_Pay_ProfitSharingAdd_Or_RemoveReceiver_Receiver_Model

None.

Request Formats

application/json, text/json

Sample:
{
  "sub_mch_id": "sample string 1",
  "receiver": {
    "type": "sample string 1",
    "account": "sample string 2",
    "name": "sample string 3",
    "relation_type": "sample string 4",
    "custom_relation": "sample string 5"
  }
}

application/xml, text/xml

Sample:
<Req_Pay_ProfitSharingAdd_Or_RemoveReceiver_Model xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Ys.Mall.Service">
  <receiver>
    <account>sample string 2</account>
    <custom_relation>sample string 5</custom_relation>
    <name>sample string 3</name>
    <relation_type>sample string 4</relation_type>
    <type>sample string 1</type>
  </receiver>
  <sub_mch_id>sample string 1</sub_mch_id>
</Req_Pay_ProfitSharingAdd_Or_RemoveReceiver_Model>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

APIResponseOfDataBodyContentOfGet_Pay_ProfitSharingAdd_Or_RemoveReceiver_Model
NameDescriptionTypeAdditional information
body

DataBodyContentOfGet_Pay_ProfitSharingAdd_Or_RemoveReceiver_Model

None.

header

APIResponseHeader

None.

Response Formats

application/json, text/json

Sample:
{
  "body": {
    "datas": {
      "return_code": "sample string 1",
      "return_msg": "sample string 2",
      "result_code": "sample string 3",
      "err_code": "sample string 4",
      "err_code_des": "sample string 5",
      "mch_id": "sample string 6",
      "sub_mch_id": "sample string 7",
      "appid": "sample string 8",
      "sub_appid": "sample string 9",
      "sign_type": "sample string 10",
      "receiver": "sample string 11",
      "nonce_str": "sample string 12",
      "sign": "sample string 13"
    }
  }
}

application/xml, text/xml

Sample:
<APIResponseOfDataBodyContentOfGet_Pay_ProfitSharingAdd_Or_RemoveReceiver_ModelT2AzrKNAT2AzrKNA xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Ys.Mall.Service">
  <header i:nil="true" />
  <body>
    <datas>
      <appid>sample string 8</appid>
      <err_code>sample string 4</err_code>
      <err_code_des>sample string 5</err_code_des>
      <mch_id>sample string 6</mch_id>
      <nonce_str>sample string 12</nonce_str>
      <receiver>sample string 11</receiver>
      <result_code>sample string 3</result_code>
      <return_code>sample string 1</return_code>
      <return_msg>sample string 2</return_msg>
      <sign>sample string 13</sign>
      <sign_type>sample string 10</sign_type>
      <sub_appid>sample string 9</sub_appid>
      <sub_mch_id>sample string 7</sub_mch_id>
    </datas>
  </body>
</APIResponseOfDataBodyContentOfGet_Pay_ProfitSharingAdd_Or_RemoveReceiver_ModelT2AzrKNAT2AzrKNA>